Bug 820 - Invalid NFS writes on 2.1.x & 2.2-preX running in milti-processor mode
Invalid NFS writes on 2.1.x & 2.2-preX running in milti-processor mode
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
5.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-13 13:38 EST by eliot
Modified: 2017-09-16 19:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 20:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eliot 1999-01-13 13:38:14 EST
I can reliably reproduce an error that looks like a
kernel concurrency bug in NFS when building our Smalltalk
virtual machine.

The virtual machine is a 220k line C program producing 138
.o files.  On each of the 2.1.x and the 2.2.0-pre6 kernels
we have tried when running on a quad processor 180MHz
Pentium Pro box the build fails if the build directory is
remote-munted over NFS.  The compiler produces a number of
invalid .o's which cause the link to fail.

When running exactly the same make where the build directory
is a ext2fs system on a local disc the build succeeds.

On various 2.1.x kernels I have also seen random occurrences
of nulls appearing in a dependency file generated early in
the make.  In all cases one to four nulls appeared on the
4096 byte boundary.  This bug seems to have been cured by
2.2.0-pre6, but from the above there still seem to be
problems with NFS running in multi-processor mode.
Comment 1 Preston Brown 1999-03-29 16:13:59 EST
Have you seen this problem in the 2.2.4 or 2.2.5 kernels?
Comment 2 Michael K. Johnson 1999-04-09 20:21:59 EDT
The latest kernels have patches that caused Linux to pass
the tests at connectathon, as well as lots and lots of other
work on NFS.  I'm closing this report (which is against a kernel
we never shipped in the first place...) and if you can reproduce
it with the latest kernel, feel free to reopen it with information
on which new kernel kernel (including a complete list of patches
that you have applied) you are using.
Comment 3 openshift-github-bot 2017-09-16 19:45:02 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/c97184be15f04d55421bd25e24237016861d0b44
Squashed 'cmd/service-catalog/go/src/github.com/kubernetes-incubator/service-catalog/' changes from ef63307bdb..ae6b643caf

ae6b643caf Use oc adm instead of oadm which might not exist in various installations.
66a4eb2a2c Update instructions... will remove once documented elsewhere
1b704d1530 replace build context setup with init containers
ee4df18c7f hack/lib: dedup os::util::host_platform and os::build::host_platform
1cd6dfa998 origin: Switch out owners to Red Hatters
664f4d318f Add instructions for syncing repos
2f2cdd546b origin-build: delete files with colon in them
cdf8b12848 origin-build: don't build user-broker
ebfede9056 origin build: add _output to .gitignore
55412c7e3d origin build: make build-go and build-cross work
68c74ff4ae origin build: modify hard coded path
3d41a217f6 origin build: add origin tooling
a8fc27d36d Fix typos in walkthrough  (#1224)
e77edbf10a #1157: Limit the amount of time for reconciliations (#1196)
1b1a749d46 temporarily disabled verify-links.sh from the verify target (#1226)
acf8fabcf8 Send originating identity headers in OSB requests (#1162)
821ba166b5 new admission controller to block updates to service instance updates that (#1210)
d69c5e5a36 Minor improvement to godoc in binaries (#1211)
5b81814c37 fix typos (#1221)
836dc4a0cc Adds how to download Helm chart (charts/catalog) (#1219)
2fd011553c Fix "visit the project on github" link. (#1217)
325e4b637a Add how to set $GOPATH. (#1218)
68b775ff19 Update the installation (#1199)
6e3a3c1a50 v0.0.19 (#1207)
8b69791409 Removing errexit from TLS setup script (#1206)
273260ff65 Instance deletion lifecycle enhancements, issue #820 (#1159)
c050713c23 fix cleaning of build output for non-root users (#1205)
5995df1fcc Merge branch 'pr/1204'
72f4802267 Remove osb prefix from example ServiceClass (#1201)
f9dbd4eab6 pin all dependencies in glide to current version except for glog where we want to pick up the prior version to fix issue 1187.
f148bc5e14 v0.0.18 (#1202)
b86ab8d28b Removing the helm install command (#1185)
3cff4820c2 Remove Alpha* prefix on all API fields for issue #1180 (#1184)
154b74d4fe Fix gofmt issue (#1192)
2ee894a18b do the clean before building an arch (#1179)
b4976ef182 Fix bad URL (#1189)
cd3dede282 Fix hrefs again (#1190)
f066226fee Design: Instance/Binding parameters (#1075)
eb37682655 This generated file is missing from master (#1191)
28c0ae7806 Use generation instead of checksum for Instances and InstanceCredentials (#1151)
5cdd323678 Fix bad href (#1188)
8a892f03e9 handle lingering polling cases (#1174)
f5fabd61a1 remove TPRs from Jenkins e2e pipeline (#1175)
717df78537 Add godoc explaining that Instance and InstanceCredential specs are immutable (#1182)
REVERT: ef63307bdb origin build: add origin tooling

git-subtree-dir: cmd/service-catalog/go/src/github.com/kubernetes-incubator/service-catalog
git-subtree-split: ae6b643cafd3a17412f173e70ed7c1a2e39ee549

Note You need to log in before you can comment on or make changes to this bug.